/*Medias: movil: (0,767px ]
Tablet: [768,992]
PC: [993,x]*/

a:not([href]):hover {
    color: white;
    text-decoration: none;
}

h1, h2, h3, h4, h5, h6, p, span, label {
    user-select: none;
}

.tagsinput, .tagsinput * {
    box-sizing: border-box
}

.tagsinput {
    display: -webkit-box;
    display: -webkit-flex;
    display: -ms-flexbox;
    display: flex;
    -webkit-flex-wrap: wrap;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    background: #fff;
    font-family: sans-serif;
    font-size: 14px;
    line-height: 20px;
    color: #556270;
    padding: 5px 5px 0;
    border: 1px solid #e6e6e6;
    border-radius: 2px
}

.tagsinput.focus {
    border-color: #ccc
}

.tagsinput .tag {
    position: relative;
    background: #556270;
    display: block;
    max-width: 100%;
    word-wrap: break-word;
    color: #fff;
    padding: 5px 30px 5px 5px;
    border-radius: 5px;
    margin: 0 5px 5px 0;
    cursor: alias;
}

.tagsinput .tag .tag-remove {
    position: absolute;
    background: 0 0;
    display: block;
    width: 30px;
    height: 30px;
    top: 0;
    right: 0;
    cursor: pointer;
    text-decoration: none;
    text-align: center;
    color: #ff6b6b;
    line-height: 30px;
    padding: 0;
    border: 0
}

.tagsinput .tag .tag-remove:after, .tagsinput .tag .tag-remove:before {
    background: #ff6b6b;
    position: absolute;
    display: block;
    width: 10px;
    height: 2px;
    top: 14px;
    left: 10px;
    content: ''
}

.tagsinput .tag .tag-remove:before {
    -webkit-transform: rotateZ(45deg);
    transform: rotateZ(45deg)
}

.tagsinput .tag .tag-remove:after {
    -webkit-transform: rotateZ(-45deg);
    transform: rotateZ(-45deg)
}

.tagsinput div {
    -webkit-box-flex: 1;
    -webkit-flex-grow: 1;
    -ms-flex-positive: 1;
    flex-grow: 1
}

.tagsinput div input {
    background: 0 0;
    display: block;
    width: 100%;
    font-size: 14px;
    padding: 5px;
    border: 0;
    margin: 0 5px 5px 0
}

.tagsinput div input.error {
    color: #ff6b6b
}

.tagsinput div input::-ms-clear {
    display: none
}

.tagsinput div input::-webkit-input-placeholder {
    color: #ccc;
    opacity: 1
}

.tagsinput div input:-moz-placeholder {
    color: #ccc;
    opacity: 1
}

.tagsinput div input::-moz-placeholder {
    color: #ccc;
    opacity: 1
}

.tagsinput div input:-ms-input-placeholder {
    color: #ccc;
    opacity: 1
}

input[type="color"],
input[type="date"],
input[type="datetime"],
input[type="datetime-local"],
input[type="email"],
input[type="month"],
input[type="number"],
input[type="password"],
input[type="search"],
input[type="tel"],
input[type="text"],
input[type="time"],
input[type="url"],
input[type="week"],
select:focus,
textarea {
    font-size: 16px !important;
    resize: none;

}

.textarea_comments, .textarea_comments_reply {
    font-size: 12px !important;
    resize: none;
    line-height: 18px !important;
    height: 60px !important;
}

.nav-item span.count-mail {
    height: 5px;
    width: 5px;
    font-size: 10px;
    text-align: center;
    line-height: 15px;
    padding: 0;
    position: absolute;
    top: 25px;
    right: 10px;
    animation: shadow-pulse 1s infinite;
    border-radius: 50%;
}

.aside_derecho {
    position: fixed;
    overflow-y: auto;
    padding: 0 0 127px;
    height: 100%;
    width: 100%;
    right: 0px;
}

.modal-open-no-scroll {
    overflow-x: hidden;
    overflow-y: hidden !important;

}

.modal-open-no-padding-body {
    padding-right: 0px !important;
}

.logo_login_derecha {
    display: none;
}
@media (max-width: 991px){
    .aside_derecho {
        position: relative;
        overflow-y: auto;
        padding-left: 7.5px !important;
        padding-right: 7.5px !important;
        height: 100%;
        width: 100%;
        right: 0px !important;

    }
}
@media (max-width: 439px) {
    .nav-item span.dots {
        right: 5px;
    }

    .nav-item span.count-mail {
        right: 14px;
    }

    .navbar-list li > a {
        font-size: 18px;
        padding: 0 4px;
        line-height: 73px;
        color: var(--iq-primary);
        display: block;
        min-height: 75px;
    }

    .logo_login_derecha {
        display: block;
    }

    #logo_login {
        display: none !important;
    }

    .alineador_input_form_edit_user {
        padding-top: 26px !important;
    }
}

.btn-light {
    border-color: var(--iq-primary) !important;
    height: 45px !important;
    border-radius: 10px !important;
    line-height: 30px !important;
}

.datetime-input-edit-wrapper {
    overflow: visible !important;
    white-space: nowrap !important;
    flex-grow: 1 !important;
    line-height: 10px !important;
}

.form-control.is-invalid, .was-validated .form-control:invalid {
    border-color: #dc3545;
    padding-right: calc(1.5em + 3.75rem);
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' width='12' height='12' fill='none' stroke='%23dc3545' viewBox='0 0 12 12'%3e%3ccircle cx='6' cy='6' r='4.5'/%3e%3cpath stroke-linejoin='round' d='M5.8 3.6h.4L6 6.5z'/%3e%3ccircle cx='6' cy='8.2' r='.6' fill='%23dc3545' stroke='none'/%3e%3c/svg%3e");
    background-repeat: no-repeat;
    background-position: right calc(.99em + 0.2rem) center !important;
    background-size: calc(.75em + .375rem) calc(.75em + .375rem);
}

.toast {
    border-radius: 10px !important;
}

#toast-container > div {
    pointer-events: auto;
    color: #FFF;
    opacity: 1;
}

.modal-footer {
    margin: auto;
}
.modal-body {
	padding: 0.2rem 0.5rem 0.2rem 0.5rem;
}
.modal-header {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: start;
    align-items: flex-start;
    -ms-flex-pack: justify;
    justify-content: space-between;
    padding: 0.2rem 0.5rem;
    border-bottom: unset;
    border-top-left-radius: calc(.3rem - 1px);
    border-top-right-radius: calc(.3rem - 1px);
}

#inputPost {
    border: none;
    line-height: 25px;
    height: 125px;
    resize: none
}

.comment_text {
    word-wrap: anywhere;
}

.modal-open .modal {
    overflow-x: hidden;
    overflow-y: hidden;
    padding-right: 0px !important;
}

.btns_stlye_comment {
    width: 100%;
    height: 60px;
    background-color: var(--iq-primary);
    color: white;
    border: unset;
    border-radius: 8px;
    font-size: 30px;
}

.comment_block {
    border-radius: 5px;
    background-color: #cfecd4;
    padding: 5px;
    margin-bottom: 5px;
}

.comment_block_reply {
    border-radius: 5px;
    background-color: beige;
    padding: 5px;
    margin-left: 50px;
    margin-bottom: 5px;
    position: relative;
}

.img_reaction, .img_reaction_comment {
    transition: ease 0.4s;
    width: 30px !important;
    height: 30px !important;
    margin: 1px;
}

.img_reaction:hover, .img_reaction_comment:hover {
    transform: scale(1.35);
}

.img_comment {
    width: 60px;
    max-height: 100px;
    object-fit: contain;
}

.img_post {
    height: 150px;
    width: inherit;
    object-fit: contain;
}
.img_post_unique_img{
    height: 450px; width: auto; object-fit: contain;border-radius: 5px
}
@media (max-width:490px){
    .img_post_unique_img{
        height: 300px;
    }
}
.content_tag_list {
    margin-bottom: 5px;
}

.badge {
    cursor: pointer;
}

.badge-secondary {
    background-color: #01aa43 !important;

}

.modal-header .close {
    padding: unset;
    margin: unset;
    background-color: #0dc833;
    color: black;
    border-radius: 50%;
    width: 25px;
    height: 25px;
}

.close {
    float: right;
    font-size: 2rem;
    font-weight: 700;
    line-height: 9px;
    color: #000;
    text-shadow: 0 1px 0 #fff;
    opacity: 1;
}



.total-comment-block {
    cursor: pointer;
    text-align: center;
    margin: auto;
}

.share_block {
    cursor: pointer;
    text-align: end;
}
.all_reactions_post, .like-data {
    cursor: pointer;
    height: 25px;
}

@media (max-width: 490px) {
    .all_reactions_post, .like-data {
        cursor: pointer;
        height: 23px;
    }
    .share_block, .total-comment-block, .all_reactions_post {
        font-size: 13px;
    }

    .img_reaction_default, .img_reaction_comment_default {
        width: 20px !important;
    }

    .media-support-user-img img {
        height: 40px;
        margin-top: 5px;
    }

    .comment_block_reply {
        padding: 10px;
        margin-left: 20px;
        margin-bottom: 5px;
    }

    .title_autor_comment {
        font-size: 0.8rem;
    }

    #inputPost {
        height: 90px;
    }

    .hide_responsive {
        display: none;
    }

    .comment-activity > a {
        margin: 1px;
        font-weight: bold;
        font-size: 12px;
        padding: 1px;
        width: 30px;
        text-align: center;
    }
}

.btn_upload_image_comment {
    width: 32px;
    height: 32px;
    background: none;
    border: unset;
}

.toggle_comments {
    color: var(--iq-black);
}

.item-btn-translate {
    cursor: pointer;
}

.toggle-comments-icons {
    font-size: 1.5em;
    bottom: -3px;
    position: relative;
}

.select_visibility_item {
    cursor: pointer;
    border-bottom: 1px solid darkgrey;
}

.remove-image-post,.remove-image-gallery,.remove-image-edit-gallery {
    padding: unset;
    margin: unset;
    background-color: #f20606;
    color: white;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    font-size: 2rem;
    font-weight: 700;
    line-height: 9px;
    text-shadow: 2px 1px 0 #000;
    opacity: 1;
    position: absolute;
    cursor: pointer;
    border-color: transparent;
}

.last_image_post {
    opacity: 0.4;
}

.over_last_image_post {
    display: block;
    position: absolute;
    height: inherit;
    bottom: 45%;
    left: 28%;
    background-color: aliceblue;
    padding: 2px;
    border-radius: 5px;
}

.iq-card-body > h5 {
    text-align: center;
}

.btn_discover {
    margin: auto;
    text-align: center;
    display: block;
    width: fit-content;
    margin-top: 5px;
}

.btn {
    padding: .22rem .22rem
}

@media (max-width: 990px) {
    .iq-edit-profile .nav-link {
        padding: 10px 15px;
    }

    .profile-feed-items li a.nav-link {
        padding: 10px 15px;
    }
}

@media (max-width: 767px) {
    .iq-top-navbar .iq-sub-dropdown {
        left: unset !important;
    }

    .iq-top-navbar .iq-sub-dropdown {
        right: -50px;
    }
}

.btn_edit_cmnt, .btn_reply_cmnt {
    background-color: transparent;
    border: unset;
    color: var(--iq-primary);
}

.img-preview-edit-comment {
    height: 100px;
    width: 100%;
    object-fit: contain;
    border-radius: 4px;
}

.img_reaction_default, .img_reaction_comment_default {
    width: 22px;
}

#sharedPostContent {
    border: 1px solid darkgray;
    margin-top: 15px;
    height: fit-content;
    max-height: 420px;
    overflow-y: auto;
    padding: 1vw;
    border-radius: 1vw;
}

.fancybox-container {
    z-index: 100000 !important;
}

.emojionearea-editor {
    word-break: break-all;
}

.item-btn-comment {
    cursor: pointer;
}

.comments_post_childs_separator {
    top: -5px;
    position: absolute;
    left: 65px;
    width: 2px;
    height: 100%;
    background-color: #bdbdbd;
}

/*.comments_post_childs_separator:after{
    width: 10px;
    background-color: red;
    height: 10px;
    content: '';
    top: 100%;
    position: absolute;
    border-radius: 50%;
    right: -4px
}*/


.comments_post_schild_separator_unit_final {
    width: 50px;
    background-color: white;
    height: 50%;
    content: '';
    top: 50%;
    position: absolute;
    left: -50px;
}

.button_add_post {
    height: 60px !important;
    font-size: 20px;
    border-radius: 5px !important;
    width: 100%;
}

.profile-feed-items li a.nav-link {
    color: #699b52;
}

.pointer {
    cursor: pointer;
}

.img_feeling {
    width: 45px;
}

.item_feeling_list {
    margin-bottom: 10px;
    padding: 5px;
    border-radius: 4px;
    height: 60px;
    width: fit-content;
}

.text_feeling_list {
    color: #2c2d2c;
}

.item_feeling_list:hover {
    background-color: #2FFFA6FF;
}

.modal-title {
    margin: auto;
}

.loading_gif {
    width: 100px;
    margin: auto;
    display: none;
}

.status_user_post {
    font-size: 14px;
}

@media (max-width: 790px) {
    .img_feeling {
        width: 20px;
    }

    .item_feeling_list {
        margin-bottom: 10px;
        padding: 5px;
        height: 40px;
    }

    .text_feeling_list {
        font-size: 12px;
    }
}
.item_feeling_edit_post {
    text-align: center;
    display: inline;
    width: fit-content;
    margin: auto;
}
.remove-post-feeling{
    padding: unset;
    margin: unset;
    background-color: #f20606;
    color: white;
    border-radius: 50%;
    width: 25px;
    height: 25px;
    font-size: 2rem;
    font-weight: 700;
    line-height: 9px;
    opacity: 1;
    position: relative;
    cursor: pointer;
    border-color: transparent;
    top:6px;
}
#container-inside {
     min-width: unset;
     max-width: unset;
}
.container-add-new-photo{
    background-color: #d9d9d9;
    height: 220px;
    border-radius: 5px;
    border: 2px dashed black;
    display: flex;
    cursor: pointer;
    align-items: center;
}
.cover-container-small {
    position: relative;
    height: 60px;
}
@media (max-width: 767px){
    .cover-container {
        height: 120px;
    }
}
.image_preview_gallery{
    height: 220px;
    width: 100%;
    object-fit: cover;
}
@media (max-width: 490px){
    .image_preview_gallery {
        height: 142px;
    }
}
.container_preview_image_gallery{
    cursor: pointer;
}
.content_modal_show_images_gallery{
    height: 78vh;
}
#block_comments_gallerry{
    height: 50vh;
    overflow-y: auto;
    overflow-x: hidden;
}
#comment_area_gallery{
    position: relative;
    bottom: 0px;
    width: 97%;
}
.like_comment_gallery{
    text-align: center;
}
#block_comments_gallery{
    overflow-y: auto;
    overflow-x: hidden;
    height: auto;
    color:black;
}
@media (max-width: 767px){
    #comment_area_gallery{
        position: relative;
        bottom: 0;
        width: 100%;
    }

    #block_comments_gallery{
        margin-top:10px;
        height: 150px;
        overflow-y: auto;
        overflow-x: hidden;
    }

    .content_modal_show_images_gallery {
        height: auto;
    }
}
.icon_like_comment_gallery,.icon_report_comment_gallery{
    cursor:pointer;
    color:black;
}
.red_like{
    color:red;
}
#likes_gallery_content,#save_gallery_content{
    margin-top: 15px;
}
.btn-remove-edit-gallery {
    position: absolute;
    top: 15px;
    left: auto;
    right: 25px;
    background: var(--iq-white);
    height: 25px;
    width: 25px;
    text-align: center;
    line-height: 25px;
    border-radius: 5px;
    opacity: 1;
    cursor: pointer;
    z-index: 1;
}
.user_header_image{
    width: 100%;
    height: inherit;
    object-fit: cover;
}
#block_comments_gallery{
    height: 55vh;
}
@media (max-width: 767px){
    #block_comments_gallery{
        height: auto;
        max-height: 25vh;
    }
}
.modal {
	top: 20px;
}
.user-post{
    text-align: center;
    background-color: black;
    border-radius: 5px;
}
.btn-primary-light{
    background-color: var(--iq-primary-hover);
    border-color: var(--iq-primary-hover);
    color:white;
}
.btn-warning.focus,
.btn-warning:focus {
    color: white;
    background-color: var(--iq-warning);
    border-color: #d39e00;
    box-shadow: 0 0 0 .2rem rgba(222, 170, 12, .5)
}
.btn_style_emoji{
    width: 32px;
    height: 32px;
    background: none;
    border: unset;
}
.right-sidebar-mini-trend {
    top: 18vh;
    z-index: 100;
    position: fixed;
    width: 260px;
    right: 0;
    transform: translateX(calc(111% + -2em));
    transition: all 0.5s ease;
}
.right-sidebar-trends-toggle {
    position: absolute;
    margin-left: -42px;
    background: var(--iq-primary-hover);
    padding: 15px;
    display: inline;
    color:white;
    top: 0vh;
    z-index: 99;
    border-radius: 30px 0px 0px 30px;
    box-shadow: -10px 5px 20px rgba(0, 0, 0, 0.19);
    cursor: pointer;
}
.right-sidebar-panel-trend {
    background-color: #fff;
    box-shadow: 0px 0px 25px 0px rgba(45, 69, 95, 0.1);
    max-height: 30vh;
    padding: 15px;
    overflow-y: scroll;
    border-radius: 13px;
}
.right-sidebar-trend{
    transform: translateX(calc(10% + -1.0em));
    box-shadow: 0px 3px 10px black;
    border-radius: 13px;
}
.right-sidebar-trends-toggle span{display: none !important;}
.dropdown-item {
    border-radius: 9px;
}
.comment_rendered{
    background-color: azure;
}
#dot_new_messages{
    right: 0px;
}
.bg_color_notification_panel{
    background-color: #fff;
}
.text-show-all-notification{
    color:black;
}
.user_chat_list:hover{
    background-color: #a0e45d;
    cursor: pointer;
    border-radius: 5px;
}
.post_font_style{
    white-space:pre-wrap; 
    font-weight:500;
}